﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Default.aspx.vb" Inherits="WebExplorerBar.NavigateProgrammaticallyVB._Default" %>

<%@ Register Assembly="Infragistics45.Web.v19.2, Version=19.2.20192.15, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.NavigationControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics45.Web.v19.2, Version=19.2.20192.15, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style>
        #web {
            margin-bottom: 10px;
        }

        #frame {
            border-width: 1px;
            margin-left: 10px;
        }
    </style>
    <script>
        function selectionNavigate(sender, eventArgs) {
            var selectedItem = sender.get_selectedItem();
            if (selectedItem) document.getElementById("frame").contentDocument.location.href = selectedItem.get_anchorElement().getAttribute('href');
        }
    </script>
</head>
<body>
    <form id="form" runat="server">
        <div style="float: left">
            <ig:WebScriptManager ID="wsm" runat="server"></ig:WebScriptManager>
            <ig:WebExplorerBar ID="web" runat="server" Width="300px">
                <ClientEvents Initialize="selectionNavigate" />
                <Groups>
                    <ig:ExplorerBarGroup Text="Favorites" Expanded="true">
                        <Items>
                            <ig:ExplorerBarItem Text="Page One" Target="iframe" NavigateUrl="/PageOne.aspx" />
                            <ig:ExplorerBarItem Text="Page Two" Target="iframe" NavigateUrl="/PageTwo.aspx" />
                        </Items>
                    </ig:ExplorerBarGroup>
                    <ig:ExplorerBarGroup Text="Searches" Expanded="true">
                        <Items>
                            <ig:ExplorerBarItem Text="Page Three" Target="iframe" NavigateUrl="/PageThree.aspx" />
                            <ig:ExplorerBarItem Text="Page Four" Target="iframe" NavigateUrl="/PageFour.aspx" />
                        </Items>
                    </ig:ExplorerBarGroup>
                </Groups>
            </ig:WebExplorerBar>
            <span style="margin-right: 10px">Go to page four</span>
            <asp:Button runat="server" ID="btn" Text="Navigate" Width="100px" Height="30px" OnClick="ChangePage" />
        </div>
        <iframe id="frame" name="iframe" width="550" height="500"></iframe>
    </form>
</body>
</html>